Bug 830806 - [REST-API] Expose search capabilities on /api/disks collection
[REST-API] Expose search capabilities on /api/disks collection
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-api (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1
Assigned To: Ori Liel
infra
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 08:57 EDT by Ori Liel
Modified: 2012-08-09 04:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ori Liel 2012-06-11 08:57:57 EDT
BackendDisksResource-->list() currently uses GetAllDisks; should use generic search.
Comment 1 Ori Liel 2012-06-13 02:42:20 EDT
merged, commit b6eacb5c2a1435aaf9a12680104b131c81134bb3
Comment 2 Itamar Heim 2012-08-09 04:03:25 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/
Comment 3 Itamar Heim 2012-08-09 04:04:07 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.